### Method

# Camel KeyFile read

#### Declaration [src]

    gint
    camel_key_file_read (
      CamelKeyFile* kf,
      camel_block_t* start,
      gsize* len,
      camel_key_t** records
    )

#### Description [src]

Read the next block of data from the key file. Returns the number of records.

#### Parameters

`start`

  Type: `camel_block_t`

  The record pointer. This will be set to the next record pointer on success.

  The data is owned by the caller of the method.

`len`

  Type: `gsize*`

  Number of records read, if != NULL.

  The data is owned by the caller of the method.

`records`

  Type: An array of `camel_key_t*`

  Records, allocated, must be freed with g_free, if != NULL.

  The argument can be `NULL`.
  The length of the array is specified in the `len` argument.
  The data is owned by the caller of the method.

#### Return value

Type: `gint`

-1 on io error.